---
title: Delete a custom detection location from a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Leaked Credential Checks](https://developers.cloudflare.com/api/python/resources/leaked_credential_checks)

[Detections](https://developers.cloudflare.com/api/python/resources/leaked_credential_checks/subresources/detections)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a custom detection location from a zone.

leaked\_credential\_checks.detections.delete(strdetection\_id, DetectionDeleteParams\*\*kwargs) -> object

DELETE/zones/{zone\_id}/leaked-credential-checks/detections/{detection\_id}

Delete a user-defined detection location, identified by its detection ID. Incoming requests are then scanned using only the default scan locations and the detection locations that remain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Account WAF Write`

##### ParametersExpand Collapse

zone\_id: str

Defines an identifier.

maxLength32

[Link to this property](<#(resource)%20leaked_credential_checks.detections%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

detection\_id: str

Defines the unique ID for this custom detection.

maxLength32

[Link to this property](<#(resource)%20leaked_credential_checks.detections%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20detection_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20leaked_credential_checks.detections%20%3E%20(method)%20delete%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Delete a custom detection location from a zone.

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
detection = client.leaked_credential_checks.detections.delete(
    detection_id="18a14bafaa8eb1df04ce683ec18c765e",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(detection)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```